//--------------------------------------------------------------------------------------------
//MMS-STAHL-SHADER-FILE (c) Matth (matth.peters@gmail.com) ,2014
//COPYRIGHT PROTECTED -> SEE LICENSE.TXT OR ABOUT/MAP-MMS-STAHL_V1.TXT FOR MORE INFORMATIONS
//--------------------------------------------------------------------------------------------

textures/stahl/werbung_wegweiser_01
{
	qer_editorimage textures/stahl/werbung_wegweiser_1
	surfaceparm trans
	cull none
	q3map_surfaceLight	5000
	q3map_lightSubdivide 50
	q3map_lightRGB 0.1 0.1 0.1
	qer_trans 0.9
	{
		map textures/stahl/werbung_wegweiser_1
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_lines3
		blendfunc add
		tcMod scroll 0 0.1
	}
	{
		map textures/stahl/werbung_nextmap_lines3
		blendfunc add
		tcMod scroll 0 0.3
	}
}

textures/stahl/werbung_wegweiser_02
{
	qer_editorimage textures/stahl/werbung_wegweiser_2
	surfaceparm trans
	cull none
	q3map_surfaceLight	5000
	q3map_lightSubdivide 50
	q3map_lightRGB 0.1 0.1 0.1
	qer_trans 0.9
	{
		map textures/stahl/werbung_wegweiser_2
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_lines3
		blendfunc add
		tcMod scroll 0 0.1
	}
	{
		map textures/stahl/werbung_nextmap_lines3
		blendfunc add
		tcMod scroll 0 0.3
	}
}

textures/stahl/werbung_nextmap_01
{
	qer_editorimage textures/stahl/werbung_nextmap_01
	surfaceparm trans
	cull none
	q3map_surfaceLight	5000
	q3map_lightSubdivide 50
	q3map_lightRGB 0.11 0.22 0.61
	qer_trans 0.9
	{
		map textures/stahl/werbung_nextmap_01
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_01
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_lines2
		blendfunc add
		tcMod scroll 0 0.1
	}
	{
		map textures/stahl/werbung_nextmap_lines2
		blendfunc add
		tcMod scroll 0 0.3
	}
}
textures/stahl/werbung_nextmap_02
{
	qer_editorimage textures/stahl/werbung_nextmap_02
	surfaceparm trans
	cull none
	q3map_surfaceLight	5000
	q3map_lightSubdivide 50
	q3map_lightRGB 0.61 0.11 0.11
	qer_trans 0.9
	{
		map textures/stahl/werbung_nextmap_02
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_02
		blendFunc add
	}
	{
		map textures/stahl/werbung_nextmap_lines
		blendfunc add
		tcMod scroll 0 0.1
	}
	{
		map textures/stahl/werbung_nextmap_lines
		blendfunc add
		tcMod scroll 0 0.3
	}
}
textures/fog_01
{
qer_editorimage textures/qer/256x256_fog

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.15 0.15 0.15 ) 15000
}
textures/stahl/sfx_05_blue
{
	qer_editorimage textures/stahl/sfx_05b_blue
	cull none
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75

	{
		map textures/stahl/sfx_05b_blue
		blendFunc add
	}
	glowmap textures/stahl/sfx_05b_blue
}
textures/stahl/sfx_05_red
{
	qer_editorimage textures/stahl/sfx_05b_red
	cull none
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/stahl/sfx_05b_red
		blendFunc add
	}
	glowmap textures/stahl/sfx_05b_red
}
textures/stahl/sky
{
    qer_editorimage textures/radiant/basic_sky.jpg
	qer_trans 0.5
    q3map_skylight 130 3
	q3map_sun 0.50 0.47 0.44 80 20 60
    q3map_lightmapFilterRadius 0 16
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nobuild
    skyparms env/stahl/stahl - -
}
textures/stahl/floor_01_bump
{		
        qer_editorimage textures/stahl/floor_01_diffuse
		diffuseMap textures/stahl/floor_01_diffuse
		normalMap textures/stahl/floor_01_normal
        specularMap textures/stahl/floor_01_specular
}
textures/stahl/floor_02_bump
{
        qer_editorimage textures/stahl/floor_02_diffuse
		diffuseMap textures/stahl/floor_02_diffuse
		normalMap textures/stahl/floor_02_normal
        specularMap textures/stahl/floor_02_specular
}
textures/stahl/floor_03_bump
{
        qer_editorimage textures/stahl/floor_03_diffuse
		diffuseMap textures/stahl/floor_03_diffuse
		normalMap textures/stahl/floor_03_normal
        specularMap textures/stahl/floor_03_specular
}
textures/stahl/floor_05_bump
{
        qer_editorimage textures/stahl/floor_05_diffuse
		diffuseMap textures/stahl/floor_05_diffuse
		normalMap textures/stahl/floor_05_normal
        specularMap textures/stahl/floor_05_specular
}
textures/stahl/light_01_bump_5000
{		
        qer_editorimage textures/stahl/light_01_diffuse
		q3map_surfaceLight	5000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_01_diffuse
		normalMap textures/stahl/light_01_normal
        specularMap textures/stahl/light_01_specular
		glowmap textures/stahl/light_01_glow
}
textures/stahl/light_01_bump_1000
{		
        qer_editorimage textures/stahl/light_01_diffuse
		q3map_surfaceLight	1000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_01_diffuse
		normalMap textures/stahl/light_01_normal
        specularMap textures/stahl/light_01_specular
		glowmap textures/stahl/light_01_glow
}
textures/stahl/light_01_bump_2500
{		
        qer_editorimage textures/stahl/light_01_diffuse
		q3map_surfaceLight	2500
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_01_diffuse
		normalMap textures/stahl/light_01_normal
        specularMap textures/stahl/light_01_specular
		glowmap textures/stahl/light_01_glow
}
textures/stahl/light_01_bump_5000_sw
{		
        qer_editorimage textures/stahl/light_01_diffuse
		q3map_surfaceLight	5000
		q3map_lightSubdivide 50
		q3map_lightRGB		0.52 0.73 0.79
		diffuseMap textures/stahl/light_01_diffuse
		normalMap textures/stahl/light_01_normal
        specularMap textures/stahl/light_01_specular
		glowmap textures/stahl/light_01_glow_sw
}
textures/stahl/light_02_bump_5000
{		
        qer_editorimage textures/stahl/light_02_diffuse
		q3map_surfaceLight	5000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_02_diffuse
		normalMap textures/stahl/light_02_normal
        specularMap textures/stahl/light_02_specular
		glowmap textures/stahl/light_02_glow
}
textures/stahl/light_02_bump_7000
{		
        qer_editorimage textures/stahl/light_02_diffuse
		q3map_surfaceLight	7000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_02_diffuse
		normalMap textures/stahl/light_02_normal
        specularMap textures/stahl/light_02_specular
		glowmap textures/stahl/light_02_7000_glow
}
textures/stahl/light_02_bump_500
{		
        qer_editorimage textures/stahl/light_02_diffuse
		q3map_surfaceLight	500
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_02_diffuse
		normalMap textures/stahl/light_02_normal
        specularMap textures/stahl/light_02_specular
		glowmap textures/stahl/light_02_glow
}
textures/stahl/light_02_bump_5000_fade
{		
        qer_editorimage textures/stahl/light_02_diffuse
		q3map_surfaceLight	5000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_02_diffuse
		normalMap textures/stahl/light_02_normal
        specularMap textures/stahl/light_02_specular
		glowmap textures/stahl/light_02_glow
	{
		map textures/stahl/light_02_glow
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
	}
}
textures/stahl/light_03_bump_off
{		
        qer_editorimage textures/stahl/light_03_diffuse
		diffuseMap textures/stahl/light_03_diffuse
		normalMap textures/stahl/light_03_normal
        specularMap textures/stahl/light_03_specular
}
textures/stahl/light_04_bump_1000
{		
        qer_editorimage textures/stahl/light_04_diffuse
		q3map_surfaceLight	1000
		q3map_lightSubdivide 50
		q3map_lightRGB		255 83 14
		diffuseMap textures/stahl/light_04_diffuse
		normalMap textures/stahl/light_04_normal
        specularMap textures/stahl/light_04_specular
		glowmap textures/stahl/light_04_glow
}
textures/stahl/misc_01_bump_dirty
{
        qer_editorimage textures/stahl/misc_01_diffuse_dirty
		diffuseMap textures/stahl/misc_01_diffuse_dirty
		normalMap textures/stahl/misc_01_normal
        specularMap textures/stahl/misc_01_specular
}
textures/stahl/plate_01_bump
{
        qer_editorimage textures/stahl/plate_01_diffuse
		diffuseMap textures/stahl/plate_01_diffuse
		normalMap textures/stahl/plate_01_normal
        specularMap textures/stahl/plate_01_specular
}
textures/stahl/plate_01_blk_bump
{
        qer_editorimage textures/stahl/plate_01_blk_diffuse
		diffuseMap textures/stahl/plate_01_blk_diffuse
		normalMap textures/stahl/plate_01_normal
        specularMap textures/stahl/plate_01_specular
}
textures/stahl/plate_02_bump
{
        qer_editorimage textures/stahl/plate_02_diffuse
		diffuseMap textures/stahl/plate_02_diffuse
		normalMap textures/stahl/plate_02_normal
        specularMap textures/stahl/plate_02_specular
}
textures/stahl/plate_03_bump
{
        qer_editorimage textures/stahl/plate_03_diffuse
		diffuseMap textures/stahl/plate_03_diffuse
		normalMap textures/stahl/plate_03_normal
        specularMap textures/stahl/plate_03_specular
}
textures/stahl/tech_pipe_01_bump
{
    qer_editorimage textures/stahl/tech_pipe_diffuse_01
    diffuseMap textures/stahl/tech_pipe_diffuse_01
	normalMap textures/stahl/tech_pipe_normal_01
    specularMap textures/stahl/tech_pipe_specular_01
}
textures/stahl/tech_pipe_01_gr_bump
{
    qer_editorimage textures/stahl/tech_pipe_diffuse_01
    diffuseMap textures/stahl/tech_pipe_diffuse_01
	normalMap textures/stahl/tech_pipe_normal_01
    specularMap textures/stahl/tech_pipe_specular_02
}
textures/stahl/tech_pipe_01_dirt_bump
{
    qer_editorimage textures/stahl/tech_pipe_diffuse_01
    diffuseMap textures/stahl/tech_pipe_diffuse_01
	normalMap textures/stahl/tech_pipe_normal_02
    specularMap textures/stahl/tech_pipe_specular_05
}
textures/stahl/tech_pipe_02_bump
{
    qer_editorimage textures/stahl/tech_pipe_diffuse_02
    diffuseMap textures/stahl/tech_pipe_diffuse_02
	normalMap textures/stahl/tech_pipe_normal_02
    specularMap textures/stahl/tech_pipe_specular_03
}
textures/stahl/tech_05_bump
{
    qer_editorimage textures/stahl/tech_05_diffuse
    diffuseMap textures/stahl/tech_05_diffuse
	normalMap textures/stahl/tech_05_normal
    specularMap textures/stahl/tech_05_specular
}
textures/stahl/tech_05_bump_ill
{
    qer_editorimage textures/stahl/tech_05_diffuse
    diffuseMap textures/stahl/tech_05_diffuse
	normalMap textures/stahl/tech_05_normal
    specularMap textures/stahl/tech_05_specular
	{
		animmap 20 textures/stahl/tech_05_glow_flick textures/stahl/tech_05_glow
		blendfunc GL_ONE GL_ONE
	}
}
textures/stahl/tech_05_bump_illfade
{
    qer_editorimage textures/stahl/tech_05_diffuse
    diffuseMap textures/stahl/tech_05_diffuse
	normalMap textures/stahl/tech_05_normal
    specularMap textures/stahl/tech_05_specular
	glowmap textures/stahl/tech_05_glow
	{
		map textures/stahl/tech_05_glow
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
	}
}
textures/stahl/tech_06_bump
{
    qer_editorimage textures/stahl/tech_06_diffuse
    diffuseMap textures/stahl/tech_06_diffuse
	normalMap textures/stahl/tech_06_normal
    specularMap textures/stahl/tech_06_specular
}
textures/stahl/tech_12_bump
{
        qer_editorimage textures/stahl/tech_12_diffuse
		diffuseMap textures/stahl/tech_12_diffuse
		normalMap textures/stahl/tech_10_normal
        specularMap textures/stahl/tech_12_specular
}
textures/stahl/tech_16_bump
{
        qer_editorimage textures/stahl/tech_16_diffuse
		diffuseMap textures/stahl/tech_16_diffuse
		normalMap textures/stahl/tech_16_normal
        specularMap textures/stahl/tech_16_specular
}
textures/stahl/trim_01_bump
{
        qer_editorimage textures/stahl/trim_01_diffuse
		diffuseMap textures/stahl/trim_01_diffuse
		normalMap textures/stahl/trim_01_normal
        specularMap textures/stahl/trim_01_specular
}
textures/stahl/trim_02_bump
{
        qer_editorimage textures/stahl/trim_02_diffuse
		diffuseMap textures/stahl/trim_02_diffuse
		normalMap textures/stahl/trim_02_normal
        specularMap textures/stahl/trim_02_specular
}
textures/stahl/trim_03_bump
{
        qer_editorimage textures/stahl/trim_03_diffuse
		diffuseMap textures/stahl/trim_03_diffuse
		normalMap textures/stahl/trim_03_normal
        specularMap textures/stahl/trim_03_specular
}
textures/stahl/trim_07_bump
{
        qer_editorimage textures/stahl/trim_07_diffuse
		diffuseMap textures/stahl/trim_07_diffuse
		normalMap textures/stahl/trim_07_normal
        specularMap textures/stahl/trim_07_specular
}
textures/stahl/wall_04_bump_2
{
        qer_editorimage textures/stahl/wall_04_diffuse
		diffuseMap textures/stahl/wall_04_diffuse
		normalMap textures/stahl/wall_04_normal
        specularMap textures/stahl/wall_04_specular_2
}
textures/stahl/wall_05_bump
{
        qer_editorimage textures/stahl/wall_05_diffuse
		diffuseMap textures/stahl/wall_05_diffuse
		normalMap textures/stahl/wall_05_normal
        specularMap textures/stahl/wall_05_specular
		glowMap textures/stahl/wall_05_glow
}
textures/stahl/wall_07_bump
{
        qer_editorimage textures/stahl/wall_07_diffuse
		diffuseMap textures/stahl/wall_07_diffuse
		normalMap textures/stahl/wall_07_normal
        specularMap textures/stahl/wall_07_specular
}
textures/stahl/wall_08_bump
{
        qer_editorimage textures/stahl/wall_08_diffuse
		diffuseMap textures/stahl/wall_08_diffuse
		normalMap textures/stahl/wall_08_normal
        specularMap textures/stahl/wall_08_specular
}
